Kerbal Space Program - Bug #23491

Chutes not deploying after exiting undeployed fairing
08/31/2019 07:02 PM - CatastrophicFailure

Status: Closed Start date: 08/31/2019
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.8.0

Version: 1.7.3 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Chutes are displaying "cannot deploy while stowed" message after using an action group to deploy fairing and other actions.
Reference Moho 1B-A1 craft.

Load craft

Go to launchpad

ABORT!!!

Wait 'til burnout, hit 0

Capsule drops away

Hit space for chutes, "cannot deploy" message
Unhappy Kerbals

Expected behavior: Once capsule is free and separate from fairing, cutes should deploy as normal.
Use key 9 to deploy fairing separately after burnout, then 0, chutes will deploy properly.

However, behavior was NOT noticed on simplified craft, reference "Chute test.craft." As before, load>launch>ABORT!!!>burnout, hit
0>chutes deploy normally.

History

#1 - 09/01/2019 11:24 AM - just_jim
- Status changed from New to Confirmed

- % Done changed from 0 to 10

#3 - 09/09/2019 05:42 AM - Anonymous

This could possibly be a duplicate of #21915 so maybe the workarounds described there will be useful here, until it is fixed.

#4 - 09/12/2019 01:30 AM - Anonymous

- Subject changed from Chutes not deploying after deploying fairing via action group. to Chutes not deploying after exiting undeployed fairing

The title disagreed with the description; if you deploy the fairing (AG9) then the chutes do deploy.

'Moho 1B-A1 craft' has the fairing deployment (AG9) separate from decouplers (AGO) that release the pod from the fairing.

'Chute test' has faring deployment and decouplers both in the same action group (AGO) so it works in the same way as 'Moho' does when you hit AG9

and then AGO.

The behavior is consistent; if you don't open that fairing KSP won't let you deploy the chutes.
This is bug #21915, but the workarounds there don't work on the Moho craft.

#5 - 10/17/2019 07:28 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.8.0

- % Done changed from 10 to 80

We've made some changes in the latest version and would like some feedback on this issue. Although I think the ship attached will need some

04/25/2024 1/2



https://bugs.kerbalspaceprogram.com/issues/21915
https://bugs.kerbalspaceprogram.com/issues/21915

rearranging of the action groups. Thanks.

#6 - 10/20/2019 10:22 PM - Anonymous
- File ChuteFairing.craft added

The attached simpler craft still shows the solar panels and chutes refusing to deploy after dropping the fairing.
There might be something I'm missing, though, that solves the problem in the situation of the original report.

#7 - 02/12/2020 01:09 AM - Anonymous
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

This was not fixed in 1.8.0, but in version 1.8.1, the chutes deploy as desired after an un-deployed fairing has separated from the craft.
The solar panels in 'ChuteFairing.craft' deploy as well.

#8 - 02/26/2020 01:57 AM - chris.fulton

- Status changed from Resolved to Closed

Files

Moho 1B-A1.craft 565 KB 08/31/2019 CatastrophicFailure
Chute test.craft 37.1 KB 08/31/2019 CatastrophicFailure
ChuteFairing.craft 25 KB 10/20/2019 Anonymous
